要将现有的 Horizon 容器与当前服务版本级别进行连接,以便将 Horizon 订阅许可证或云托管服务与该容器结合使用,请确保在部署 Horizon Cloud Connector 设备和运行载入向导之前具备以下各项。

  • 确认您满足具有 Horizon Cloud 的 VMware Horizon 容器 - 要求检查表 - 针对从 2020 年 7 月服务版本开始的容器连接要求进行了相应更新中所述的必备条件。
  • 您已确定将与 Horizon Cloud Connector 虚拟设备进行配对的容器连接服务器实例,并且拥有该连接服务器实例的 FQDN。在任意给定时间,您只能将 Horizon Cloud Connector 虚拟设备与容器的一个已安装连接服务器实例进行配对。
  • 您已确定在将连接服务器与 Horizon Cloud Connector 进行配对时将指定哪个容器管理员帐户,并确定该管理员帐户满足配对所需的要求。此 Active Directory 用户必须在 root 访问组上具有 Horizon 预定义的管理员角色,如容器的基于 Web 的控制台中全局管理员视图 > 角色权限 > 管理员中所示。换言之,为容器载入过程指定的 Active Directory 用户需是该容器的超级用户,如 Horizon 文档《Horizon Console 管理指南》中所述。
  • 您在 https://my.vmware.com 上具有有效的 My VMware 帐户。需要使用此帐户来购买 Horizon 订阅许可证,才能运行 Horizon Cloud Connector 载入工作流以将容器与云服务配对,并登录到基于云的管理控制台以将云托管服务与该容器结合使用。
  • Horizon 订阅许可证与该 My VMware 帐户相关联。
  • 您具有欢迎电子邮件信息,该电子邮件会发送到与该 My VMware 帐户关联的电子邮件地址,其中包含用于下载 Horizon Cloud Connector OVA 的链接。如果您没有该电子邮件信息,则可以通过使用该 My VMware 帐户登录到 my.vmware.com 并导航到为该帐户列出的产品下载来下载 OVA。
  • 如果您使用的是 Microsoft Internet Explorer Web 浏览器,请确认兼容模式已关闭。此设置允许在该 Web 浏览器中查看 Horizon Cloud Connector 设备载入用户界面。
  • 确认您已满足 DNS、端口和协议要求
  • 确定将用于 Horizon Cloud Connector 虚拟设备的静态 IP 地址。在 vSphere 中部署 Horizon Cloud Connector OVA 时,将需要使用此 IP 地址。
    注: 请勿将 IPv6 用于 Horizon Cloud Connector 虚拟设备。IPv6 不受支持。
  • 确认您具有在 vSphere 环境中部署 Horizon Cloud Connector OVA 时要使用的适用于您的环境的典型网络连接信息,例如您的 DNS 搜索域、DNS 服务器 IP 地址、默认网关地址和子网掩码。
    注: Horizon Cloud Connector 虚拟设备的自签名证书不支持代理 SSL 配置。
    重要事项: 如果要部署 Horizon Cloud Connector 1.5 并且您的环境要求将代理服务器与设备一起使用,请在部署设备之前查看 修改 Horizon Cloud Connector 1.5 或更低版本的代理设置中所述的信息。此外,还要记住以下已知限制。这些限制不适用于 Horizon Cloud Connector 1.6 或更高版本。
    • 由于已知限制,系统不会采用在部署 OVF 模板时指定的任何无代理主机配置。要为 Horizon Cloud Connector 1.5 或更低版本配置无代理主机配置,您必须在部署后更改设备中的配置文件。有关详细信息,请参阅 VMware 知识库文章 76663
    • 如果您计划将容器与 通用代理Horizon Cloud Connector 1.5 结合使用,并且您的环境要求使用代理设置,则必须在部署 OVF 模板时配置这些代理设置。由于 Horizon Cloud Connector 1.5 的已知限制,通用代理不会采用在部署后对代理设置所做的任何修改。由于您只能在部署后配置无代理主机,该限制意味着 通用代理 不支持将无代理主机与 Horizon Cloud Connector 1.5 一起使用。
  • 确认 Horizon Cloud Connector 虚拟设备具有最少包含 8 个字符的强根密码,其中包含一个大写字符、一个数字字符和一个特殊字符。
    重要事项: 在部署 OVF 模板时,您必须指定一个符合强密码安全标准的 root 密码。不过,由于已知限制,即使您指定的根密码不包含特殊字符,OVF 部署向导也会继续部署虚拟设备。在这种情况下,将会成功完成部署,但在部署后阻止您登录到虚拟设备的操作系统。

    要确保您在部署虚拟设备后能够访问该设备,请始终指定 OVF 部署向导提示的强根密码,其中包含至少一个特殊字符。

  • 对于将 Horizon 订阅许可证与 Horizon 容器结合使用的最小用例,请确认除了满足以上列出的必备条件以外,还满足以下必备条件:
    • 将与 Horizon Cloud Connector 配对的连接服务器实例必须运行版本 7.6 或更高版本。版本 7.6 是可与云服务配对的最低版本。
      提示: 尽管从技术上讲,您可以将运行的版本低于最新版本的 Horizon 容器进行配对,以通过该容器获取最新的云托管功能,但是容器的连接服务器最好运行最新的软件版本。只有结合使用最新的连接服务器版本和 Horizon Cloud Connector 版本,您才可以访问最新的云托管功能,而不仅仅是将订阅许可证与该容器结合使用。